﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using KendoMultiSelectAddNewItem.Models;
using Microsoft.AspNetCore.Mvc;

namespace KendoMultiSelectAddNewItem.Controllers
{
    public class HomeController : Controller
    {

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Read()
        {
            List<ProductViewModel> list = new List<ProductViewModel>();
            list.Add(new ProductViewModel() { ProductID = 1, ProductName = "First item" });
            list.Add(new ProductViewModel() { ProductID = 2, ProductName = "Second item" });
            list.Add(new ProductViewModel() { ProductID = 3, ProductName = "Third item" });
            //ViewData["Message"] = "Your application description page.";

            return Json(list);
        }

        public IActionResult Create(IEnumerable<ProductViewModel> models)
        {
            var result = new List<ProductViewModel>();

            result = models.ToList();

            for (int i = 0; i < result.Count(); i++)
            {
                result[i].ProductID = new Random().Next(100, 1000);
            }

            return Json(result);
        }

        public IActionResult Error()
        {
            return View();
        }


        
    }
}
